Subject: bug#24574: emacs-module is not GPL compatible (Windows)

From: Mambo Levis <[email-masked]>
Date: Sat, 1 Oct 2016 12:31:26 +0000 (UTC)

Yes, I tried mod-test and it worked properly without using any calling convention such __declspec(dllexport).
I have made the following tests:
1. I commented all module's functions related with sqlite3 library and only leave uncommented one of function to verify if the module is working:
  /* emacs-sqlite-version*/static emacs_valueFemacs_sqlite_version (emacs_env *env, ptrdiff_t nargs, emacs_value args[], void *data){     const char* msg_docstr = "emacs-sqlite module version 0.1";  return env->make_string (env, msg_docstr, strlen(msg_docstr));}
When I require (emacs-sqlite-version) it works as expected.
2. I tested only two function: the previous one Femacs_sqlite_version and other associated with sqlite. Once I consider a module function related to sqlite error message appears: is not GPL compatible

I think the error is related with the linking process of the sqlite3.lib . One possible test is not linking sqlite3.lib and stead just using sqlite source code as a part of the module.
Do you have any suggestion?
Levis

    On Saturday, October 1, 2016 9:54 AM, Alain Schneble <[email-masked]> wrote:

 Mambo Levis <[email-masked]> writes:

> Hi,
> I build the emacs-sqlite3 project in Windows using MINGW (mingw64_shell.bat) and the following message appears whenI requiere the module:
> sqlite3-core.dll is not GPL compatible
>
> Questions: 
> 1. Have anybody tried to build this project in windows using MINGW or Visual Studio?
> 2. Do you have any idea about the error message: sqlite3-core.dll is not GPL compatible?
> I found this project (sqlite3-core) more interesting/valuable for testing the new emacs-module than the default provided (mod-test) in emacs-25.1-src/modules
> Repository: https://github.com/syohex/emacs-sqlite3
> I also found and build a similar project https://github.com/thom-jenks/emacs-sqlite but unfortunately with the same problem: it is not GPL compatible
>
> Thanks
> Levis

FWIW, mod-test works properly here on mingw64 with gcc 6.1.0, even with
CFLAGS='-O3'.  Did you try with mod-test?  Do you get the same error?

Alain